SQL Server Database Configuration Tool Online Help

SQL Server Database Connection Settings Parent topic

The SQL Server Database Configuration Tool allows you to connect the Apex One server to another existing Apex One SQL database and change the logon credentials used to connect to your existing database.
The SQL Server Database Configuration Tool allows you to perform the following:
  • Switch to another preexisting Apex One SQL Server database instance
  • Update logon credentials to the existing SQL Server database
  • Configure alert settings for when the SQL Server database becomes unavailable
Related information
  • Using the SQL Server Database Configuration Tool
  • Configuring the SQL Database Unavailable Alert
© 2020 Trend Micro Incorporated. All Rights Reserved.


Using the SQL Server Database Configuration Tool

Trend Micro homepage

SQL Server Database Configuration Tool Online Help

Using the SQL Server Database Configuration Tool Parent topic

The SQL Server Database Configuration Tool allows you to connect the Apex One server to another existing Apex One SQL database and change the logon credentials used to connect to your existing database.

Procedure

  1. On the Apex One server computer, browse to <Server installation path>\PCCSRV\Admin\Utility\SQL.
  2. Double-click SQLTxfr.exe to run the tool.
    The Apex One SQL Server Database Configuration console opens.
  3. Specify the Server name as follows: <host name or IP address of the SQL Server>,<port_number>\<instance name>
    Important
    Important
    Apex One automatically creates an instance for the Apex One database when SQL Server installs. When migrating to an existing SQL Server or database, type the preexisting instance name for the Apex One instance on the SQL Server.
  4. Provide the authentication credentials for the SQL Server database.
    • When using the Windows Account to log on to the server, Apex One applies the User name of the currently logged on user.
      Important
      Important
      The user account must belong to the local administrator group or Active Directory (AD) built-in administrator and you must configure the following User Rights Assignment policies using the Windows Local Security Policy or Group Policy Management console:
      • Log on as a service
      • Log on as a batch job
      • Allow log on locally
      The user account must also have the following database roles:
      • dbcreator
      • bulkadmin
      • db_owner
  5. In the Database Name section, specify the Apex One database name on the SQL Server.
  6. If you configured the Endpoint Sensor database during installation, specify the Endpoint Sensor database name.
    Note
    Note
    If you have the Endpoint Sensor database in a different SQL instance than the Apex One database, refer to the following Knowledge Base article on how to manage the database.
    https://success.trendmicro.com/solution/1122929
  7. Optionally, perform the following tasks:
    • Click Apex One Database Unavailable Alert… to configure the Apex One SQL database notification settings.
      For details, see Configuring the SQL Database Unavailable Alert.
    • Click Test Connection to verify the authentication credentials for the existing SQL Server or database.
  8. Click Start to apply the configuration changes.
© 2020 Trend Micro Incorporated. All Rights Reserved.


Configuring the SQL Database Unavailable Alert

Trend Micro homepage

SQL Server Database Configuration Tool Online Help

Configuring the SQL Database Unavailable Alert Parent topic

Apex One automatically sends this alert whenever the SQL database becomes unavailable.
WARNING
WARNING
Apex One automatically stops all services when the database becomes unavailable. Apex One cannot log agent or event information, perform updates, or configure agents when the database is unavailable.
The Database Unavailable alert is only applicable to the Apex One server database and does not apply to the Endpoint Sensor database.

Procedure

  1. On the Apex One server computer, browse to <Server installation path>\PCCSRV\Admin\Utility\SQL.
  2. Double-click SQLTxfr.exe to run the tool.
    The Apex One SQL Server Database Configuration console opens.
  3. Click Apex One Database Unavailable Alert….
    The Apex One Database Unavailable Alert screen opens.
  4. Type the email address(es) for the recipient(s) of the alert.
    Separate multiple entries using semicolons (;).
  5. Modify the Subject and Message as necessary.
    Apex One provides the following token variables:

    Apex One Database Unavailable Alert Tokens

    Variable
    Description
    %x
    The name of the Apex One SQL Server instance
    %s
    The name of the affected Apex One server
  6. Click OK.
© 2020 Trend Micro Incorporated. All Rights Reserved.


Index

Trend Micro homepage

SQL Server Database Configuration Tool Online Help

© 2020 Trend Micro Incorporated. All Rights Reserved.